%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_test 0

%global up_name neutron-lbaas-dashboard

Name:           openstack-neutron-lbaas-ui
Version:        2.0.0
Release:        4%{?dist}
Summary:        Horizon UI support for Neutron LBaaS

License:        ASL 2.0
URL:            https://github.com/openstack/neutron-lbaas-dashboard/
Source0:        https://tarballs.openstack.org/%{up_name}/%{up_name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=81d564cf233a467a4da6c4c02801edb2a35be527
Patch0001: 0001-Imported-Translations-from-Zanata.patch
Patch0002: 0002-Imported-Translations-from-Zanata.patch
Patch0003: 0003-Imported-Translations-from-Zanata.patch
Patch0004: 0004-Updated-from-global-requirements.patch
Patch0005: 0005-Updated-from-global-requirements.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-sphinx
BuildRequires:  python-pbr
Requires:  openstack-dashboard >= 9.0.0
Requires:  python-barbicanclient
Requires:  python-pbr

Provides:  neutron-lbaas-dashboard

%description
Horizon panels for Neutron LBaaS v2

%package doc
Summary: Documentation for Neutron LBaaS dashboard
%description doc
Documentation for Neutron LBaaS dashboard


%prep
%autosetup -n %{up_name}-%{upstream_version} -p1

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt

%build
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"

export PBR_VERSION="1.8.1"
sphinx-build doc/source html

# clean up files after sphinx
rm html/.buildinfo
rm -rf html/.doctrees


%install
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/
install -p -D -m 640 neutron_lbaas_dashboard/enabled/_1481_project* %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/

%check
%if %{?with_test}
%{__python2} setup.py test
%endif


%files
%doc README.rst doc
%license LICENSE
%{python2_sitelib}/neutron_lbaas_dashboard
%{python2_sitelib}/neutron_lbaas_dashboard-%{version}*-py%{python_version}.egg-info
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1481*

%files doc
%doc html
%license LICENSE


%changelog
* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 2.0.0-4
- Update patches

* Thu Mar 23 2017 Jon Schlueter <jschluet@redhat.com> 2.0.0-3
- Updated from global requirements
- Imported Translations from Zanata
- Imported Translations from Zanata
- Imported Translations from Zanata

* Fri Mar 17 2017 Alfredo Moralejo <amoralej@redhat.com> 2.0.0-2
- Enable new ngloadbalancersv2 panel instead of deprecated loadbalancersv2

* Fri Feb 17 2017 Alfredo Moralejo <amoralej@redhat.com> 2.0.0-1
- Update to 2.0.0


